List projects
import requests
url = "https://app.langwatch.ai/api/v1/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/v1/projects \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"language": "<string>",
"framework": "<string>",
"teamId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"piiRedactionLevel": "STRICT"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 4503599627370495
}
}This response has no body data.This response has no body data.Projects
List projects
List all non-archived projects for the organization (paginated). Requires an admin API key with project:view permission.
GET
/
api
/
v1
/
projects
List projects
import requests
url = "https://app.langwatch.ai/api/v1/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/v1/projects \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"language": "<string>",
"framework": "<string>",
"teamId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"piiRedactionLevel": "STRICT"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 4503599627370495
}
}This response has no body data.This response has no body data.Authorizations
Admin API key for organization-level operations (managing projects, API keys). Create one in Settings > API Keys or via POST /api/api-keys. Format: sk-lw-{id}_{secret}.
Query Parameters
Required range:
x <= 9007199254740991Required range:
x <= 1000Last modified on October 13, 2026
Was this page helpful?